#!/usr/bin/env bash
# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# runs bazel and then coalesce.py (to convert results to junit)

set -o nounset
set -o errexit
set -o pipefail

code=0
# Remove retries after
# https://github.com/bazelbuild/bazel/issues/12599
if [ -n "${BAZEL_FETCH_PLEASE:-}" ]; then
  for i in {1..3}; do
    if (set -o xtrace && bazel fetch "${BAZEL_FETCH_PLEASE}"); then
      break
    elif [[ "$i" == 3 ]]; then
      echo "Failed"
      exit 1
    fi
    echo "Failed fetch attempt $i, retrying ..."
  done
fi
(set -o xtrace && bazel "$@") || code=$?
coalesce=$(dirname "${BASH_SOURCE[0]}")/coalesce.py
(set -o xtrace && "$coalesce") || true
set -o xtrace
exit "$code"
